> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bread.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute offramp

> This endpoint allows you to execute an offramp.



## OpenAPI

````yaml openapi.json post /offramp
openapi: 3.0.3
info:
  title: Bread API
  description: >-
    The Bread provides comprehensive cryptocurrency wallet management
    capabilities including wallet creation, balance monitoring, and asset
    transfers.
  version: 2.0.0
servers:
  - url: https://processor-prod.up.railway.app
    description: Production server
security: []
paths:
  /offramp:
    post:
      tags:
        - Offramp
      summary: Execute offramp
      description: This endpoint allows you to execute an offramp.
      operationId: executeOfframp
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OfframpRequest'
      responses:
        '200':
          description: Offramp initiated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OfframpResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    OfframpRequest:
      type: object
      required:
        - wallet_id
        - amount
        - beneficiary_id
        - asset
      properties:
        wallet_id:
          type: string
          description: The wallet ID to offramp from
          example: 68bb7d8399900e253084e6f9
        amount:
          type: number
          description: Amount to offramp
          example: 100
        beneficiary_id:
          type: string
          description: The beneficiary ID to receive the offramp payout
          example: 68bf2eba196a18d7bd166184
        asset:
          type: string
          enum:
            - ethereum:usdc
            - base:usdc
            - arbitrum:usdc
            - solana:usdc
            - bsc:usdc
            - polygon:usdc
            - optimism:usdc
            - avalanche:usdc
            - ethereum:usdt
            - arbitrum:usdt
            - solana:usdt
            - polygon:usdt
            - bsc:usdt
            - optimism:usdt
            - avalanche:usdt
            - base:cngn
            - bsc:cngn
          description: The asset to offramp
          example: base:usdc
    OfframpResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        status:
          type: integer
          example: 200
        message:
          type: string
          example: Offramp initiated successfully
        timestamp:
          type: string
          format: date-time
          example: '2025-09-09T23:34:20.478Z'
        data:
          type: object
          properties:
            reference:
              type: string
              description: Unique reference identifier for the offramp transaction
              example: n4ri27oeopl9m5tuzbpe03cmvq4d1j80
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-service-key

````